
unsigned char* universal_vmm_get_data(unsigned int offset, unsigned int size, int select);

#define universal_vmm_frame_update(n)	if (n) {}

extern int *universal_vmm_enabled;

int UniversalVMMInit(unsigned char *data, int select, int len, int maximum_mem, int maximum_sprite, int retain);

int UniversalVMMInitBlockStart(int select, int maximum_mem, int maximum_data, int retain);
int UniversalVMMInitBlockAdd(unsigned char *data, int select, int len);
int UniversalVMMInitBlockFinish(int select);

unsigned char *universal_vmm_get_slot_pointer(int slot, int select);
void universal_vmm_get_data_single(unsigned int offset, unsigned int size, int slot, int select);

int UniversalVMMExit();